The Omni Group Forums

The Omni Group Forums (
-   OmniWeb Bug Reports (
-   -   User agent string has wrong WebKit version (

David Shepherdson 2009-03-11 06:18 PM

User agent string has wrong WebKit version
The User Agent string in the latest 5.9.2 SneakyPeek ( has the same WebKit version listed as 5.9.1, even though it's now using the new Safari 4.0 WebKit. For example:

[CODE]Mozilla/5.0 (Macintosh; U; Intel Mac OS X; en-US) AppleWebKit/525.18 (KHTML, like Gecko, Safari/525.20) OmniWeb/v622.7.0.110031

...whereas the Safari 4.0 beta reports something like:

[CODE]Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10_5_6; en-au) AppleWebKit/528.16 (KHTML, like Gecko) Version/4 Public Beta Safari/528.16

In other words, Safari 4.0 reports WebKit version 528.16, whereas OmniWeb 5.9.2 reports 525.18.

I know, not very significant; but I wanted to make sure it was reported so it wouldn't be forgotten!

David Shepherdson 2009-03-18 02:31 PM

Thanks to whoever fixed this -- the latest 5.9.2 SP (110241) now reports:
[CODE]Mozilla/5.0 (Macintosh; U; Intel Mac OS X; en-US) AppleWebKit/528.16 (KHTML, like Gecko, Safari/528.16) OmniWeb/v622.7.0.110241[/CODE]

All times are GMT -8. The time now is 06:34 AM.

Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2018, vBulletin Solutions, Inc.